/* IMPORTANT:  s necessari connectar-se amb un usuari amb permisos d'administrador per executar aquest script. */
/* Es crear l'espai de taules RECRUITCAT_DATA, l'usuari ECOLLADOF amb password 12345678 i s'assignaran permisos*/

/**************************************************************/
/*            Creaci de l'espai de taules                    */
/**************************************************************/

CREATE TABLESPACE RECRUITCAT_DATA
	DATAFILE 'C:/oraclexe/app/oracle/oradata/XE/recruitcat_data.dbf' SIZE 100M
	EXTENT MANAGEMENT LOCAL
	SEGMENT SPACE MANAGEMENT AUTO;


/**************************************************************/
/*             Creaci de l'usuari de la BD                   */
/**************************************************************/

CREATE USER ECOLLADOF IDENTIFIED BY 12345678
	DEFAULT TABLESPACE recruitcat_data
	QUOTA UNLIMITED ON recruitcat_data
	TEMPORARY TABLESPACE Temp;

/**************************************************************/
/*         Assignaci de permisos a l'usuari                  */
/**************************************************************/

GRANT CREATE SESSION, CREATE TABLE, CREATE SEQUENCE, CREATE TRIGGER, CREATE PROCEDURE, CREATE VIEW TO ECOLLADOF;